twitter4j

## Class StatusUpdate

- java.lang.Object
- - twitter4j.StatusUpdate

All Implemented Interfaces:
  Serializable

    public final class StatusUpdate
    extends Object
    implements Serializable

Since:
  Twitter4J 2.1.1
Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StatusUpdate(String status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StatusUpdate` `attachmentUrl(String attachmentUrl)`
`StatusUpdate` `autoPopulateReplyMetadata(boolean autoPopulateReplyMetadata)`
`StatusUpdate` `displayCoordinates(boolean displayCoordinates)`
`boolean` `equals(Object o)`
`String` `getAttachmentUrl()`
`long` `getInReplyToStatusId()`
`GeoLocation` `getLocation()`
`String` `getPlaceId()`
`String` `getStatus()`
`int` `hashCode()`
`StatusUpdate` `inReplyToStatusId(long inReplyToStatusId)`
`boolean` `isAutoPopulateReplyMetadata()`
`boolean` `isDisplayCoordinates()`
`boolean` `isPossiblySensitive()`
`StatusUpdate` `location(GeoLocation location)`
`StatusUpdate` `media(File file)`
`StatusUpdate` `media(String name, InputStream body)`
`StatusUpdate` `placeId(String placeId)`
`StatusUpdate` `possiblySensitive(boolean possiblySensitive)`
`void` `setAttachmentUrl(String attachmentUrl)`
`void` `setAutoPopulateReplyMetadata(boolean autoPopulateReplyMetadata)`
`void` `setDisplayCoordinates(boolean displayCoordinates)`
`void` `setInReplyToStatusId(long inReplyToStatusId)`
`void` `setLocation(GeoLocation location)`
`void` `setMedia(File file)`
`void` `setMedia(String name, InputStream body)`
`void` `setMediaIds(long... mediaIds)`
`void` `setPlaceId(String placeId)`
`void` `setPossiblySensitive(boolean possiblySensitive)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StatusUpdate

    public StatusUpdate(String status)

### Method Detail

#### getStatus

    public String getStatus()

#### getInReplyToStatusId

    public long getInReplyToStatusId()

#### setInReplyToStatusId

    public void setInReplyToStatusId(long inReplyToStatusId)

#### inReplyToStatusId

    public StatusUpdate inReplyToStatusId(long inReplyToStatusId)

#### getLocation

    public GeoLocation getLocation()

#### setLocation

    public void setLocation(GeoLocation location)

#### location

    public StatusUpdate location(GeoLocation location)

#### getPlaceId

    public String getPlaceId()

#### setPlaceId

    public void setPlaceId(String placeId)

#### placeId

    public StatusUpdate placeId(String placeId)

#### isDisplayCoordinates

    public boolean isDisplayCoordinates()

#### setDisplayCoordinates

    public void setDisplayCoordinates(boolean displayCoordinates)

#### displayCoordinates

    public StatusUpdate displayCoordinates(boolean displayCoordinates)

#### setMedia

    public void setMedia(File file)

Parameters:
  `file` - media file
Since:
  Twitter4J 2.2.5

#### media

    public StatusUpdate media(File file)

Parameters:
  `file` - media file
Returns:
  this instance
Since:
  Twitter4J 2.2.5

#### setMedia

    public void setMedia(String name,
                         InputStream body)

Parameters:
  `name` - name
  `body` - media body as stream
Since:
  Twitter4J 2.2.5

#### setMediaIds

    public void setMediaIds(long... mediaIds)

Parameters:
  `mediaIds` - media ids
Since:
  Twitter4J 4.0.2

#### getAttachmentUrl

    public String getAttachmentUrl()

Returns:
  attachment url
Since:
  Twitter4J 4.0.7

#### setAttachmentUrl

    public void setAttachmentUrl(String attachmentUrl)

Parameters:
  `attachmentUrl` - attachment url
Since:
  Twitter4J 4.0.7

#### attachmentUrl

    public StatusUpdate attachmentUrl(String attachmentUrl)

Parameters:
  `attachmentUrl` - attachment url
Returns:
  status update
Since:
  Twitter4J 4.0.7

#### media

    public StatusUpdate media(String name,
                              InputStream body)

Parameters:
  `name` - media name
  `body` - media body
Returns:
  this instance
Since:
  Twitter4J 2.2.5

#### setPossiblySensitive

    public void setPossiblySensitive(boolean possiblySensitive)

Parameters:
  `possiblySensitive` - possibly sensitive
Since:
  Twitter4J 2.2.5

#### possiblySensitive

    public StatusUpdate possiblySensitive(boolean possiblySensitive)

Parameters:
  `possiblySensitive` - possibly sensitive
Returns:
  this instance
Since:
  Twitter4J 2.2.5

#### isPossiblySensitive

    public boolean isPossiblySensitive()

Returns:
  possibly sensitive
Since:
  Twitter4J 2.2.5

#### isAutoPopulateReplyMetadata

    public boolean isAutoPopulateReplyMetadata()

Returns:
  autoPopulateReplyMetadata
Since:
  Twitter4J 4.0.7

#### setAutoPopulateReplyMetadata

    public void setAutoPopulateReplyMetadata(boolean autoPopulateReplyMetadata)

Parameters:
  `autoPopulateReplyMetadata` - auto reply meta data
Since:
  Twitter4J 4.0.7

#### autoPopulateReplyMetadata

    public StatusUpdate autoPopulateReplyMetadata(boolean autoPopulateReplyMetadata)

Parameters:
  `autoPopulateReplyMetadata` - auto reply meta data
Returns:
  this instance
Since:
  Twitter4J 4.0.7

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`